<!DOCTYPE html>
<html lang="en">
<link rel="stylesheet" href="css/pure-min.css">
<link rel="stylesheet" href="css/grids-responsive-min.css">
<link rel="stylesheet" href="css/marketing.css">
<head>
    <meta charset="UTF-8">
    <title>Shortify</title>
</head>
<script  nonce="pmV4c3BhcmtlciDydWxlcyA7VQ==">
    function shortify() {
        var longURL = document.getElementById("longURL").value;
        if(IsURL(longURL)) {
            document.getElementById("longURL").style.color = "#777";
            document.getElementById("result").style.visibility='hidden';
            var xhr = new XMLHttpRequest();
            xhr.open("POST", "/");
            xhr.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
            xhr.onload = function () {
                if (xhr.readyState === 4 && xhr.status == "200") {
                    var urlShort = JSON.parse(xhr.responseText).url;
                    var resultURL = document.getElementById("resultURL");
                    resultURL.value = urlShort;
                    document.getElementById("result").style.visibility='visible'
                }else {

                    document.getElementById("longURL").style.color = "#be0c22";
                }
            };
            xhr.send(JSON.stringify({"url":longURL}));
        }else{
            document.getElementById("longURL").style.color = "#be0c22";
        }

    }

    /**
     * @return {boolean}
     */
    function IsURL(url) {

        var strRegex = "^((https|http)?://)"
            + "?(([0-9a-z_!~*'().&=+$%-]+: )?[0-9a-z_!~*'().&=+$%-]+@)?"
            + "(([0-9]{1,3}\.){3}[0-9]{1,3}"
            + "|"
            + "([0-9a-z_!~*'()-]+\.)*"
            + "([0-9a-z][0-9a-z-]{0,61})?[0-9a-z]\."
            + "[a-z]{2,6})"
            + "(:[0-9]{1,4})?"
            + "((/?)|"
            + "(/[0-9a-z_!~*'().;?:@&=+$,%#-]+)+/?)$";
        var re=new RegExp(strRegex);
        return re.test(url);
    }
    function copyURL() {
        var copyText = document.getElementById("resultURL");
        copyText.select();
        document.execCommand("copy");
        alert("URL copy done");
    }
</script>
<body>


<div class="header">
    <div class="home-menu pure-menu pure-menu-horizontal pure-menu-fixed">
        <a class="pure-menu-heading" href="">URL Shortener</a>
    </div>
</div>

<div class="splash-container">
    <div class="splash">
        <form class="pure-form">
            <fieldset>
                <legend class="splash-subhead">Enter a long URL to make it short :</legend>

                <input id="longURL" type="url"  placeholder="Your very long URL">
                <button id="shortifyButton" type="button" class="pure-button pure-button-primary">Shortify !</button>


            </fieldset>
        </form>

        <form class="pure-form">
            <fieldset>
        <div id="result">
            <input class="pure-input-1-2" type="url" id="resultURL"  readonly>

            <button id="copyButton" type="button" class="pure-button pure-button-primary" >Copy</button>
        </div>
        </fieldset>
        </form>
    </div>
</div>
<div class="footer l-box is-center">
</div>
</body>
<script nonce="zx82zafucAzx82zafucA==">
    document.getElementById("shortifyButton").onclick=shortify;
    document.getElementById("copyButton").onclick=copyURL;
    document.getElementById("result").style.visibility='hidden';
    document.getElementById("longURL").style.color = "#777";
</script>
</html>